yi-mode-haskell-0.19.1: Yi editor haskell mode

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010
Extensions | OverloadedStrings

Yi.Mode.Haskell.Dollarify

Description

# Documentation

dollarify :: Tree TT -> BufferM () Source #

dollarifyWithin :: Tree TT -> BufferM () Source #

data QueuedUpdate Source #

Constructors

QueuedUpdate |

Fields

- qUpdatePoint :: Point
- qInsert :: YiString
- qDelete :: Int

#### Instances

Instances details

Show QueuedUpdate Source # |
Instance details Defined in Yi.Mode.Haskell.Dollarify Methods showsPrec :: Int -> QueuedUpdate -> ShowS Source # show :: QueuedUpdate -> String Source # showList :: [QueuedUpdate] -> ShowS Source #
Eq QueuedUpdate Source # |
Instance details Defined in Yi.Mode.Haskell.Dollarify Methods (==) :: QueuedUpdate -> QueuedUpdate -> Bool Source # (/=) :: QueuedUpdate -> QueuedUpdate -> Bool Source #
Ord QueuedUpdate Source # |

Instance details

Defined in Yi.Mode.Haskell.Dollarify

Methods

compare :: QueuedUpdate -> QueuedUpdate -> Ordering Source #

(<) :: QueuedUpdate -> QueuedUpdate -> Bool Source #

(<=) :: QueuedUpdate -> QueuedUpdate -> Bool Source #

(>) :: QueuedUpdate -> QueuedUpdate -> Bool Source #

(>=) :: QueuedUpdate -> QueuedUpdate -> Bool Source #

max :: QueuedUpdate -> QueuedUpdate -> QueuedUpdate Source #

min :: QueuedUpdate -> QueuedUpdate -> QueuedUpdate Source #

runQ :: [QueuedUpdate] -> BufferM () Source #

openParen :: Token Source #

closeParen :: Token Source #

isNormalParen :: Tree TT -> Bool Source #

isTuple :: Tree TT -> Bool Source #

queueDelete :: TT -> QueuedUpdate Source #

queueReplaceWith :: YiString -> TT -> QueuedUpdate Source #

stripComments :: Expr TT -> Expr TT Source #

dollarifyTop :: Tree TT -> [QueuedUpdate] Source #

dollarifyExpr :: Expr TT -> [QueuedUpdate] Source #

isSimple :: Tree TT -> Bool Source #

isCollapsible :: Expr TT -> Bool Source #

selectedTree :: Expr TT -> Region -> Maybe (Tree TT) Source #

findLargestWithin :: Region -> [Tree TT] -> Tree TT Source #

within :: Region -> Tree TT -> Bool Source #

safeLast :: [a] -> Maybe a Source #

dollarifyP :: Tree TT -> BufferM () Source #

dollarifyWithinP :: Exp TT -> BufferM () Source #

isNormalParenP :: Exp TT -> Bool Source #

isTupleP :: Exp TT -> Bool Source #

stripCommentsP :: [Exp TT] -> [Exp TT] Source #

dollarifyTopP :: Exp TT -> [QueuedUpdate] Source #

dollarifyExprP :: [Exp TT] -> [QueuedUpdate] Source #

isSimpleP :: Exp TT -> Bool Source #

isCollapsibleP :: [Exp TT] -> Bool Source #

selectedTreeP :: [Exp TT] -> Region -> Maybe (Exp TT) Source #

findLargestWithinP :: Region -> [Exp TT] -> Exp TT Source #

withinP :: Region -> Exp TT -> Bool Source #

safeLastP :: [a] -> Maybe a Source #